STATISTICS(1)

NAME
Statistics - calculate statistics of a dataset

SYNOPSIS
aststatistics [OPTION...] ASTRdata

DESCRIPTION
Statistics is part of GNU Astronomy Utilities 0.23. Statistics will do statistical analysis on the input dataset (table column or image). All blank pixels or pixels outside of the given range are ignored. You can either directly ask for certain statistics in one line/row as shown below with the same order as requested, or get tables of different statistical measures like the histogram, cumulative frequency style and etc. If no particular statistic is requested, some basic information about the dataset is printed on the command-line.

For more information, please run any of the following commands. In particular the second contains a very comprehensive explanation of Statistics's invocation: expected input(s), output(s), and a full description of all the options.

All options and their values:
    $ aststatistics -P

Inputs/Outputs and options:
    $ info aststatistics

Full section in manual/book:
    $ info Statistics

Full Gnuastro manual/book:
    $ info gnuastro

If you couldn't find your answer in the manual, you can get direct help from experienced Gnuastro users and developers. For more information, please run:

    $ info help-gnuastro

Statistics options:

    Input:

-c, --column=STR
    Column number (counting from 1) or search string.

--greaterequal2=FLT
    Upper range of 2nd dim in 2D histograms.

-g, --greaterequal=FLT
    Only use values greater-equal than this.

-h, --hdu=STR/INT
    Extension name or number of input data.

-I, --ignorecase
    Ignore case in matching/searching columns.

--lessthan2=FLT
    Lower range of 2nd dim in 2D histograms.

-l, --lessthan=FLT
    Only use values less than this.

-Q, --qrange=FLT[,FLT]
    Quantile range: one (from Q to 1-Q) or two.

--searchin=STR
    Select column(s): 'name', 'unit', 'comment'.

--stdintimeout=INT
    Micro-seconds to wait for standard input.

    Tessellation (tile grid):

--checktiles
    Tile IDs in an image, the size of input.

-F, --remainderfrac=FLT
    Fraction of remainder to split last tile.

--interpmetric=STR
    Interpolation metric (radial, manhattan).

--interpnumngb=INT
    No. of neighbors to use for interpolation.

--interponlyblank
    Only interpolate over the blank tiles.

-i, --interpolate
    Interpolate over blank tiles to fill them.

-M, --numchannels=INT[,..] No. of channels in dim.s (FITS order).

--oneelempertile
    Display 1 element/tile, not full input res.

--workoverch
    Work (not tile) over channel edges.

-Z, --tilesize=INT[,INT]
    Regular tile size on dim.s (FITS order).

    Output:

-D, --dontdelete
    Don't delete output if it exists.

-K, --keepinputdir
    Keep input directory for automatic output.

--outfitsnocommit
    No Git commit in 0-th HDU of output FITS.

--outfitsnoconfig
    No metadata in 0-th HDU of output FITS.

--outfitsnodate
    No 'DATE' in 0-th HDU of output FITS.

--outfitsnoversions
    No versions in 0-th HDU of output FITS.

-o, --output=STR
    Output file name.

--tableformat=STR
    Table fmt: 'fits-ascii', 'fits-binary', 'txt'.

--wcslinearmatrix=STR
    WCS linear matrix of output ('pc' or 'cd').

    Single value measurements

--concentration=FLT[,...]
    Uniform dist: 1.0; higher: concentrated.

-d, --std
    Standad deviation.

-E, --median
    Median.

--mad
    Median absolute deviation.

--madclip-mad
    MAD-clipped Median Absolute Deviation.

--madclip-mean
    MAD-clipped mean.

--madclip-median
    MAD-clipped median.

--madclip-number
    Number of elements after MAD-clipping.

--madclip-std
    MAD-clipped standard deviation.

--maximum
    Maximum.

--minimum
    Minimum.

--modequant
    Mode quantile (see --mode)

--modesym
    Mode symmetricity (see --mode).

--modesymvalue
    Value at mode symmetricity (see --mode).

-m, --mean
    Mean.

--number
    Number (non-blank).

-O, --mode
    Mode (Appendix C of arXiv:1505.01664).

--quantfunc=FLT[,...]
    Quantile function (multiple values acceptable).

--quantofmean
    Quantile of the mean.

--sigclip-mad
    Sigma-clipped Median Absolute Deviation.

--sigclip-mean
    Sigma-clipped mean.

--sigclip-median
    Sigma-clipped median.

--sigclip-number
    Number of elements after sigma-clipping.

--sigclip-std
    Sigma-clipped standard deviation.

--sum
    Sum.

-u, --quantile=FLT[,...]
    Quantile (multiple values acceptable).

    Particular calculation

--asciicfp
    Print an ASCII cumulative frequency plot.

-A, --asciihist
    Print an ASCII histogram.

-C, --cumulative
    Save the cumulative frequency plot in output.

--histogram2d=STR
    2D histogram (as 'table' or 'image').

-H, --histogram
    Save the histogram in output.

--madclip
    Overall MAD-clipping (see '--mclipparams')

--mirror=FLT
    Save the histogram and CFP of the mirror dist.

-R, --contour=STR
    Contour levels, save in PGFPlots format.

-s, --sigmaclip
    Overall sigma-clipping (see '--sclipparams')

-t, --ontile
    Single values on separate tiles, not full input.

-y, --sky
    Find the Sky and its STD over the tessellation.

    Sky and Sky STD settings

-a, --outliernumngb=INT
    Num neighboring tiles to look for outlier.

--checksky
    Store steps in '_sky_steps.fits' file.

--checkskynointerp
    Similar to --checksky, stops at interpolation.

--ignoreblankintiles
    Don't write input's blanks in the tiled output.

--khdu=STR
    HDU/extension name or number of kernel.

-k, --kernel=FITS
    File name of kernel to convolve input.

--mclipparams=FLT,FLT
    MAD clip: Multiple, and tolerance/number.

--meanmedqdiff=FLT
    Max. mode and median quantile diff. per tile.

--mirrordist=FLT
    Max. distance (error multip.) to find mode.

--outliersclip=FLT,FLT Sigma-clip params for qthresh outliers.

--outliersigma=FLT
    Multiple of sigma to define outliers.

--sclipparams=FLT,FLT
    Sigma clip: Multiple, and tolerance/number.

--smoothwidth=INT
    Sky: flat kernel width to smooth interpolated.

    Histogram and CFP settings

--asciiheight=INT
    Height of ASCII histogram or CFP plots.

--manualbinrange
    Set min/max of bins manually, not from data.

--maxbinone
    Scale such that the maximum bin has value of one.

--numasciibins=INT
    No. of bins in ASCII histogram or CFP plots.

--numbins=INT
    No. of bins in histogram or CFP tables.

--numbins2=INT
    No. of bins in second-dim of 2D histogram.

-n, --normalize
    Set sum of all bins to 1.

--onebinstart=FLT
    Shift bins so one bin starts on this value.

--onebinstart2=FLT
    Similar to --onebinstart, for 2D histogram

    Fitting (1 dimensional)

--fitestimate=STR/FLT
    Estimate fitted func. (number, file or 'self').

--fitestimatecol=STR/INT
    Column containing the --fitestimate values.

--fitestimatehdu=STR/INT
    HDU containing the --fitestimate values.

--fitrobust=STR
    The robust function name to use.

--fitweight=STR
    Input weight: 'std', 'var' or 'inv-variance'.

-f, --fit=STR
    Type of fitting: 'linear', 'linear-weighted', 'linear-no-constant', 'linear-no-constant-weighted', 'polynomial', 'polynomial-weighted', 'polynomial-robust'.

-p, --fitmaxpower=INT
    Maximum power in polynomial to fit.

    Operating modes:

-?, --help
    give this help list

--checkconfig
    List all config files and variables read.

--cite
    BibTeX citation for this program.

--config=STR
    Read configuration file STR immediately.

--config-prefix=STR
    Custom prefix of option names config files.

--lastconfig
    Do not parse any more configuration files.

--minmapsize=INT
    Min. bytes to avoid RAM automatically.

-N, --numthreads=INT
    Number of CPU threads to use.

--onlyversion=STR
    Only run if the program version is STR.

-P, --printparams
    Print parameter values to be used and abort.

--quietmmap
    Don't print mmap'd file's name and size.

-q, --quiet
    Only report errors, remain quiet about steps.

-S, --setdirconf
    Set default values for this directory and abort.

--usage
    give a short usage message

-U, --setusrconf
    Set default values for this user and abort.

-V, --version
    print program version

Mandatory or optional arguments to long options are also mandatory or optional for any corresponding short options.

GNU Astronomy Utilities home page: http://www.gnu.org/software/gnuastro/

REPORTING BUGS
Report bugs to bug-gnuastro@gnu.org.

COPYRIGHT
Copyright © 2015-2024 Free Software Foundation, Inc. License GPLv3+: GNU General public license version 3 or later.
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

Written/developed by Mohammad Akhlaghi

SEE ALSO
The full documentation for Statistics is maintained as a Texinfo manual. If the info and Statistics programs are properly installed at your site, the command

    info Statistics

should give you access to the complete manual.